%define name	mpeg2dec
%define version	0.2.1
%define release gst.1

Summary:	MPEG-2 decoder library and program
Name:           %{name}
Version:        %{version}
Release:        %{release}

Group:          Libraries/Multimedia
Copyright:      LGPL
URL:            http://libmpeg2.sourceforge.net/
Vendor:         GStreamer Backpackers Team <package@gstreamer.net>
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-root

BuildRequires:  SDL-devel
BuildRequires:  XFree86-devel
BuildRequires:  esound-devel

%description
libmpeg2 is a free library for decoding mpeg-2 and mpeg-1 video
streams. It is released under the terms of the GPL license.

%package devel
Summary:	MPEG-2 decoder library development files
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
MPEG-2 decoder development files

%prep
%setup -q

%build
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=/usr --enable-shared
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared
fi
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/mpeg2dec
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la

%changelog
* Fri May 03 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted from PLD spec for 0.2.1

